Bug 89949 - Start of rpc.statd fails during boot
Start of rpc.statd fails during boot
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-30 04:19 EDT by Stefan Ekman
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-16 05:59:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Ekman 2003-04-30 04:19:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
rpc.statd was working fine just after installation and configuration.

Suddenly if I started statd during boot from /etc/rc5.d/S14nfslock then it
failed with this error in messages:

rpc.statd[1543]: unable to register (statd, 1, udp).

If I started it after boot with "service nfslock restart" it worked fine. 

I found out that some package upgrade or something else had changed my
securitysettings (iptables) to high. This stopped rpc.statd during start, but
for some reason not later. Stopping the firewall solves the problem, but it is
strange that it works after the bootsequence is ended.

I tried to to move the start of nfslock to a later point during boot, and then
it started fine, so some script is opening up the firewall so it can be enabled.
I have not found which, but the point i changed it to was after S28autofs even
with securitysettings high.

Version-Release number of selected component (if applicable):
1.0.1-2.9

How reproducible:
Always

Steps to Reproduce:
1. Set security settings to high and activate nfslock
2. Reboot
3. "service nfslock status" shows that rpc.statd is not running
4. Start "service nfslock restart" allows it to run
5. Set security settings to none
6. Reboot
7. "service nfslock status" shows that rpc.statd is running

Actual Results:  No running rpc.statd in point 3.
Running after point 4 and 7.

Expected Results:  The same behavior at point 3 and 4. Either the firewall
should stop it or not. It should not be diffent at boot and after boot.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.